#! php.exe -q
# PHP CLI code, to decode config.json with gzcompress and base64
# gzcompress can smaller the string 10 times or more, base64 can make sure that
# the data can be saved and transfered safely by http.
# author: gwang
# version: 1.0
<?php
$filename = $argv[1];
$handle = fopen($filename, "rb");
$contents = fread($handle, filesize($filename));
fclose($handle);

// $str = gzuncompress(base64_decode($contents));

$str = gzinflate(base64_decode($contents));
echo $str;
